summaryrefslogtreecommitdiff
path: root/dev-python/tempita
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/tempita
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/tempita')
-rw-r--r--dev-python/tempita/Manifest1
-rw-r--r--dev-python/tempita/files/tempita-0.5.3-pypy-tests.patch26
-rw-r--r--dev-python/tempita/metadata.xml12
-rw-r--r--dev-python/tempita/tempita-0.5.3-r2.ebuild52
4 files changed, 91 insertions, 0 deletions
diff --git a/dev-python/tempita/Manifest b/dev-python/tempita/Manifest
new file mode 100644
index 000000000000..719389014bed
--- /dev/null
+++ b/dev-python/tempita/Manifest
@@ -0,0 +1 @@
+DIST tempita-0.5.3-bitbucket.tar.gz 22756 BLAKE2B 59d273b1dc206eea452f7e5265d59b3ef1248b2d920eae559d74f4c569852b2a127e2a906f866cb748a12663dca944d9080413410edd5c69bd93b0d9574e3026 SHA512 cebe443bf0fc7705304fe127c796801acb6cdc54e79315c2afddb79ece1d04427852c1d0924ab9dd54520b584ae09a0644a20ff2dd6ed0408ee103f5b3fb9410
diff --git a/dev-python/tempita/files/tempita-0.5.3-pypy-tests.patch b/dev-python/tempita/files/tempita-0.5.3-pypy-tests.patch
new file mode 100644
index 000000000000..cdef27276be5
--- /dev/null
+++ b/dev-python/tempita/files/tempita-0.5.3-pypy-tests.patch
@@ -0,0 +1,26 @@
+diff --git a/docs/index.txt b/docs/index.txt
+index 6d943f6..afe3aa2 100644
+--- a/docs/index.txt
++++ b/docs/index.txt
+@@ -82,7 +82,7 @@ error (the name will be displayed)::
+ >>> tmpl.substitute()
+ Traceback (most recent call last):
+ ...
+- NameError: name 'name' is not defined at line 1 column 6 in file tmpl
++ NameError:... name 'name' is not defined at line 1 column 6 in file tmpl
+
+ You can also give a namespace to use by default, which
+ ``.substitute(...)`` will augment::
+diff --git a/tests/test_template.txt b/tests/test_template.txt
+index 9564a9a..d9eb55d 100644
+--- a/tests/test_template.txt
++++ b/tests/test_template.txt
+@@ -144,7 +144,7 @@ for a variable, if no value is given::
+ >>> sub('{{x}}')
+ Traceback (most recent call last):
+ ...
+- NameError: name 'x' is not defined at line 1 column 3
++ NameError:... name 'x' is not defined at line 1 column 3
+
+ And comments work::
+
diff --git a/dev-python/tempita/metadata.xml b/dev-python/tempita/metadata.xml
new file mode 100644
index 000000000000..1df22e72c370
--- /dev/null
+++ b/dev-python/tempita/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">Tempita</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/tempita/tempita-0.5.3-r2.ebuild b/dev-python/tempita/tempita-0.5.3-r2.ebuild
new file mode 100644
index 000000000000..d2f64e47a6ab
--- /dev/null
+++ b/dev-python/tempita/tempita-0.5.3-r2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+MY_COMMIT="97392d008cc8"
+
+DESCRIPTION="A very small text templating language"
+HOMEPAGE="https://pypi.org/project/Tempita/"
+# Tests are not published on PyPI
+SRC_URI="https://bitbucket.org/ianb/${PN}/get/${MY_COMMIT}.tar.gz -> ${P}-bitbucket.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+PATCHES=( "${FILESDIR}/${P}-pypy-tests.patch" )
+
+S="${WORKDIR}/ianb-${PN}-${MY_COMMIT}"
+
+python_prepare_all() {
+ # Remove reference to a non-existent CSS file
+ # in order to make sphinx use its default theme.
+ sed -i '/^html_style =/d' docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ # We need to append to sys.path, otherwise pytest imports
+ # the module from ${S} (before it was 2to3'd)
+ pytest --import-mode=append -vv tests/test_template.txt docs/index.txt \
+ || die "Tests failed with ${EPYTHON}"
+}